Add Level3 Item
POST
/v2/L3Data/AddLevel3ItemAdds a Level 3 line item to a transaction. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Amount
numberTip
numberCashbackAmount
numberFrequency
stringCustomFee
numberAuthCode
stringTaxAmount
numberLocalTaxFlag
stringNationalTaxAmount
numberCustRef
stringDestZipCode
stringCustomerVatReg
stringSummaryCommodityCode
stringFreightAmount
numberDutyAmount
numberShipfromZipCode
stringDestCountryCode
stringLineItemCount
numberLevel3LineItems
CommodityCode
stringDescription
stringProductCode
stringQuantity
numberUnitOfMeasure
numberUnitCost
numberVatTaxAmount
numberVatTaxRate
numberDiscountAmount
numberTotalAmount
numberPaymentType*
enumReferenceId*
stringPrintReceipt
enumGetReceipt
enumMerchantNumber
numberInvoiceNumber
stringCaptureSignature
booleanGetExtendedData
booleanIsReadyForIS
booleanCallbackInfo
Url
stringReconId
stringIsvId
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/L3Data/AddLevel3Item
1curl --location 'https://test.spinpos.net/v2/L3Data/AddLevel3Item' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Amount": "",
6 "Tip": "",
7 "CashbackAmount": "",
8 "Frequency": "",
9 "CustomFee": "",
10 "AuthCode": "",
11 "TaxAmount": "",
12 "LocalTaxFlag": "",
13 "NationalTaxAmount": "",
14 "CustRef": "",
15 "DestZipCode": "",
16 "CustomerVatReg": "",
17 "SummaryCommodityCode": "",
18 "FreightAmount": "",
19 "DutyAmount": "",
20 "ShipfromZipCode": "",
21 "DestCountryCode": "",
22 "LineItemCount": "",
23 "Level3LineItems": {
24 "Group": [
25 {
26 "CommodityCode": "",
27 "Description": "",
28 "ProductCode": "",
29 "Quantity": "",
30 "UnitOfMeasure": "",
31 "UnitCost": "",
32 "VatTaxAmount": "",
33 "VatTaxRate": "",
34 "DiscountAmount": "",
35 "TotalAmount": ""
36 }
37 ]
38 },
39 "PaymentType": "Credit",
40 "ReferenceId": "",
41 "PrintReceipt": "No",
42 "GetReceipt": "No",
43 "MerchantNumber": "",
44 "InvoiceNumber": "",
45 "CaptureSignature": false,
46 "GetExtendedData": false,
47 "IsReadyForIS": false,
48 "CallbackInfo": {
49 "Url": ""
50 },
51 "ReconId": "",
52 "IsvId": "",
53 "Tpn": "",
54 "RegisterId": "",
55 "Authkey": "",
56 "SPInProxyTimeout": ""
57}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"ResultCode": "0",
"StatusCode": "0000"
}
}